> ## Documentation Index
> Fetch the complete documentation index at: https://docs.h3aven.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Main Schemas

> Request schemas for core Report routes.

This page centralizes the **request schemas** for report routes.
The canonical source is `api-reference/openapi.yml`.

## create-validation-report

**Endpoint**: `POST /v1/reports/validation`\
**Schema**: `createValidationReportRequestSchema`\
**Body**: `application/json`

### Schema (OpenAPI-style)

```json theme={null}
{
  "type": "object",
  "additionalProperties": false,
  "required": ["name", "entityId"],
  "properties": {
    "name": "string",
    "entityId": "string",
    "type": {
      "type": "string",
      "enum": ["validation", "search", "metrics", "aggregate", "comparator"]
    },
    "rules": {
      "type": "array",
      "items": {
        "type": "object",
        "additionalProperties": false,
        "required": ["messageIfTrue"],
        "properties": {
          "messageIfTrue": "string",
          "or": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": false,
              "required": ["parameter", "operator"],
              "properties": {
                "parameter": "string",
                "operator": "string",
                "compareToValue": "string"
              }
            }
          },
          "and": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": false,
              "required": ["parameter", "operator"],
              "properties": {
                "parameter": "string",
                "operator": "string",
                "compareToValue": "string"
              }
            }
          }
        }
      }
    }
  }
}
```
